package org.ghidra.bridge.session;

import ghidra.app.decompiler.DecompInterface;
import ghidra.program.model.listing.Program;
import org.ghidra.bridge.serialization.ProgramTypes;

public final class DecompilerHandle {
    private final Program program;
    private final DecompInterface decompiler;
    private final ProgramTypes types;

    public DecompilerHandle(Program program, DecompInterface decompiler) {
        this.program = program;
        this.decompiler = decompiler;
        this.types = new ProgramTypes();
    }

    public Program program() {
        return program;
    }

    public DecompInterface decompiler() {
        return decompiler;
    }

    public ProgramTypes types() {
        return types;
    }
}
